package xyz.tbvns.rogue_block.Upgrades;

import net.minecraft.server.network.ServerPlayerEntity;

public interface ActiveUpgrade extends Upgrade{
    default void executeOnKeybind(ServerPlayerEntity player) {}
    default int getCooldown(ServerPlayerEntity player) {
        return 5;
    }

    @Override
    default UpgradeType getType() {
        return UpgradeType.Keybind;
    }
}
